package com.ejie.ab39a.seguridad;

import java.io.Serializable;

import com.ejie.ab39a.constantes.Constantes;

/**
 * Clase con los datos de la FEA
 * 
 *  
 * 
 */
public class FeaDatosPersona implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String dni;
	private String nombre;
	private String primerApellido;
	private String segundoApellido;
	private String fechaNacimiento;
	private String cif;

	/**
	 * Constructor por defecto
	 */
	public FeaDatosPersona() {
		super();
	}

	/**
	 * Fea Datos Persona
	 * 
	 * @param dni
	 *            String dni
	 * @param nombre
	 *            String nombre
	 * @param primerApellido
	 *            String primerApellido
	 * @param segundoApellido
	 *            String segundoApellido
	 * @param fechaNacimiento
	 *            String fechaNacimiento
	 */
	public FeaDatosPersona(String dni, String nombre, String primerApellido, String segundoApellido,
			String fechaNacimiento) {
		super();
		this.dni = dni;
		this.nombre = nombre;
		this.primerApellido = primerApellido;
		this.segundoApellido = segundoApellido;
		this.fechaNacimiento = fechaNacimiento;
	}

	/**
	 * Fea Datos Persona
	 * 
	 * @param dni
	 *            String dni
	 * @param nombre
	 *            String nombre
	 * @param primerApellido
	 *            String primerApellido
	 * @param segundoApellido
	 *            String segundoApellido
	 * @param fechaNacimiento
	 *            String fechaNacimiento
	 */
	public FeaDatosPersona(String dni, String cif) {
		super();
		this.dni = dni;
		this.cif = cif;
	}

	/**
	 * 
	 * @return dni String
	 */
	public String getDni() {
		return this.dni;
	}

	/**
	 * 
	 * @param dni
	 *            String
	 */
	public void setDni(String dni) {
		this.dni = dni;
	}

	/**
	 * 
	 * @return nombre String
	 */
	public String getNombre() {
		return this.nombre;
	}

	/**
	 * 
	 * @param nombre
	 *            String
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * 
	 * @return primerApellido String
	 */
	public String getPrimerApellido() {
		return this.primerApellido;
	}

	/**
	 * 
	 * @param primerApellido
	 *            String
	 */
	public void setPrimerApellido(String primerApellido) {
		this.primerApellido = primerApellido;
	}

	/**
	 * 
	 * @return segundoApellido String
	 */
	public String getSegundoApellido() {
		return this.segundoApellido;
	}

	/**
	 * 
	 * @param segundoApellido
	 *            String
	 */
	public void setSegundoApellido(String segundoApellido) {
		this.segundoApellido = segundoApellido;
	}

	/**
	 * 
	 * @return fechaNacimiento String
	 */
	public String getFechaNacimiento() {
		return this.fechaNacimiento;
	}

	/**
	 * 
	 * @param fechaNacimiento
	 *            String
	 */
	public void setFechaNacimiento(String fechaNacimiento) {
		this.fechaNacimiento = fechaNacimiento;
	}

	/**
	 * Devuelve los apellidos
	 * 
	 * @return String apellidos
	 */
	public String getApellidos() {
		StringBuilder str = new StringBuilder(Constantes.STRING_BUILDER_INIT);
		str.append(this.getPrimerApellido());
		str.append(" ");
		str.append(this.getSegundoApellido());

		return str.toString();
	}

	/**
	 * Devuelve los apellidos
	 * 
	 * @return String apellidos
	 */
	public String getNombreCompleto() {
		StringBuilder str = new StringBuilder(Constantes.STRING_BUILDER_INIT);

		str.append(this.getNombre());
		str.append(" ");
		str.append(this.getPrimerApellido());
		str.append(" ");
		str.append(this.getSegundoApellido());

		return str.toString();
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}
}